--- erlang-11.b.1/lib/odbc/c_src/odbcserver.c~	2006-05-03 02:18:43.000000000 -0600
+++ erlang-11.b.1/lib/odbc/c_src/odbcserver.c	2008-10-09 14:05:31.000000000 -0600
@@ -2011,6 +2011,9 @@
     case SQL_TYPE_TIMESTAMP:
 	column -> type.len = (column -> type.col_size) +
 	    sizeof(byte);
+	/* Length may be up to "YYYY-MM-DD HH:MM:SS.NNN" */
+	if (column -> type.len < 23 + sizeof(byte))
+	    column -> type.len = 23 + sizeof(byte);
 	column -> type.c = SQL_C_CHAR;
 	column -> type.strlen_or_indptr = SQL_NTS;
 	break;
